This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 973822 - siege: Bundled Library
siege: Bundled Library
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: siege (Show other bugs)
20
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christof Damian
Fedora Extras Quality Assurance
:
Depends On: 977367
Blocks: DuplicSysLibsTracker 972477
  Show dependency treegraph
 
Reported: 2013-06-12 16:44 EDT by Roman Mohr
Modified: 2014-05-23 15:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-23 15:34:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
removes the dependency to the static library in lib/joedog (1.06 KB, patch)
2013-06-23 17:23 EDT, Roman Mohr
no flags Details | Diff

  None (edit)
Description Roman Mohr 2013-06-12 16:44:34 EDT
Description of problem:
The joedog library is included, which did not lead to any problems until now, as I am trying to package fido (bug 495310) which also contains this library. The author of siege and fido basically includes this library in all of his products.

Version-Release number of selected component (if applicable):
siege 2.65-1 -- siege-3.0.0-2 (all versions)

How reproducible:
always

Steps to Reproduce:
1. In the SRPM look into lib/joedog

Actual results:
library joedog is statically linked into the exec.

Expected results:
the library should be released separately as it is blocking the inclusion of other tools created by the author.

Additional info:
I will inform upstream of the problem.
Comment 1 Roman Mohr 2013-06-23 17:18:32 EDT
after some discussions per mail upstream is still not willing to release a shared library. When discussion this with Björn he proposed, that Christof and I could release the bundled library separately. 

To make this work it is necessary to patch siege and fido in an appropriate way and to have a close look on changes of the /lib/joedog/ library in every release of fido and siege. 

So Christof, I merged the two variants of libjoedog into one shared library (source can be found here: http://fedorapeople.org/cgit/rfenkhuber/public_git/libjoedog.git/). and prepared patches for siege and fido. Please have a look at the changes and tell me your thoughts about it.

If noone sees any problem with that I will open a separate reviewrequest for libjoedog.
Comment 2 Roman Mohr 2013-06-23 17:23:23 EDT
Created attachment 764373 [details]
removes the dependency to the static library in lib/joedog

siege patch to support libjoedog.

SRPM URL: http://rfenkhuber.fedorapeople.org/siege/siege-3.0.0-3.fc20.src.rpm
SPEC URL: http://rfenkhuber.fedorapeople.org/siege/siege.spec
Comment 3 Roman Mohr 2013-06-23 17:27:34 EDT
libjoedog proposal:

SRPM URL: http://rfenkhuber.fedorapeople.org/libjoedog/libjoedog-0.1.0-1.fc20.src.rpm
SPEC URL: http://rfenkhuber.fedorapeople.org/libjoedog/libjoedog.spec

I will move libjoedog in a separate review request if you all are comfortable with this approach.
Comment 4 Christof Damian 2013-06-24 14:42:31 EDT
(In reply to Roman Mohr from comment #1)
> after some discussions per mail upstream is still not willing to release a
> shared library. When discussion this with Björn he proposed, that Christof
> and I could release the bundled library separately. 
> 
> To make this work it is necessary to patch siege and fido in an appropriate
> way and to have a close look on changes of the /lib/joedog/ library in every
> release of fido and siege. 
> 
> So Christof, I merged the two variants of libjoedog into one shared library
> (source can be found here:
> http://fedorapeople.org/cgit/rfenkhuber/public_git/libjoedog.git/). and
> prepared patches for siege and fido. Please have a look at the changes and
> tell me your thoughts about it.
> 
> If noone sees any problem with that I will open a separate reviewrequest for
> libjoedog.

Sounds good to me. This will be a bit of a hassle for future siege and fido updates, as we have to make sure that libjoedog is in sync with the releases. 

I can release a new siege version once libjoedog is packaged.

It might make sense to share maintenanceship for siege, fido and libjoedog so we can update the other packages when necessary for a libjoedog change.

You can request commit access to siege if you like.
Comment 5 Björn "besser82" Esser 2013-06-24 15:12:13 EDT
(In reply to Christof Damian from comment #4)
> I can release a new siege version once libjoedog is packaged.

SCM-request is currently pending...

> It might make sense to share maintenanceship for siege, fido and libjoedog
> so we can update the other packages when necessary for a libjoedog change.

for libjoedog you're already on the co-maintainer list of SCM-request.

> You can request commit access to siege if you like.

Thanks for you kind offer!  Roman and me (besser82, his sponsor) already did.
Comment 6 Fedora End Of Life 2013-09-16 12:43:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Note You need to log in before you can comment on or make changes to this bug.